memcard(1)

NAME

memcard - A tool to read/write data from/to a memory chip card

SYNOPSIS
memcard COMMAND -a addr -s size [-f file] [-p pin] [-C configfile]

DESCRIPTION

The memcard utility allows you to read and write memory chip cards.

COMMANDS
 The parameter COMMAND can be one of the following. Invoking without a COMMAND parameter displays instructions.

read
    read from the card and store to FILE (or stdout)

write
    write FILE (or stdin) to the card

OPTIONS

-a addr
    address on chip card to start reading or writing

-s size
    number of bytes to read or write

-f file
    Use the specified file as the target for read and source for write operations. If omitted, defaults to stdout and stdin, respectively.

-p pin
    Use pin to access protected cards. The in is a 6 digit code.

-C configfile
    Uses the given configuration file. If omitted, the file /usr/local/etc/chipcardd.conf is used.

FILES

/usr/local/etc/chipcardd.conf

ENVIRONMENT VARIABLES

memcard does not use any environment variables

EXAMPLE
The simplest usage of this program is:

memcard read -s 128

This shows the type of the card (either DDV or RSA).

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardc.conf(5)